######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  %Z%  %M%  %I%  Delta: %G%
######################################################################

database standard

globals
    define

        ##############################################################
        # Codegen area
        ##############################################################
        # Global variables in this section will be overwritten
        # during a re-generation of source code.
        # Place any custom global variables above this section.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        nastiness_occurred smallint,   # error flag
        orig_ar_balanced like strcntrc.ar_balanced,
        m_xcntrc record like stxcntrc.*,
        m_rcntrc record like strcntrc.*,  # Record like the header table
        p_rcntrc record   # Record like the header screen
            tax_pct like strcntrc.tax_pct,
            terms_code like strcntrc.terms_code,
            terms_desc like strtermr.terms_desc,
            disc_misc like strcntrc.disc_misc,
            disc_frght like strcntrc.disc_frght,
            disc_tax like strcntrc.disc_tax,
            ar_acct_no like strcntrc.ar_acct_no,
            ar_sales_acct_no like strcntrc.ar_sales_acct_no,
            ar_misc_acct_no like strcntrc.ar_misc_acct_no,
            ar_tax_acct_no like strcntrc.ar_tax_acct_no,
            ar_fc_acct_no like strcntrc.ar_fc_acct_no,
            ar_frght_acct_no like strcntrc.ar_frght_acct_no,
            cr_cash_acct_no like strcntrc.cr_cash_acct_no,
            cr_disc_acct_no like strcntrc.cr_disc_acct_no,
            age_datetype like strcntrc.age_datetype,
            age_dsc1 like strcntrc.age_dsc1,
            age_dsc2 like strcntrc.age_dsc2,
            age_dsc3 like strcntrc.age_dsc3,
            age_dsc4 like strcntrc.age_dsc4,
            age_per1 like strcntrc.age_per1,
            age_per2 like strcntrc.age_per2,
            age_per3 like strcntrc.age_per3,
            ar_balanced like strcntrc.ar_balanced
        end record,
        q_rcntrc record   # Parallel header record
            row_id integer  # SQL rowid
        end record,

        ###############################################################
        # Library communication area 3.51.00
        ###############################################################
        # Global variables in this section should not be changed.
        # They are used to communicate to the screen library functions,
        # and must be of the same type as defined in the library.
        # Don't remove these comments.  The codegenerator keys on them.
        #
        progid       char(17),   # Program identification
        scr_id       char(7),    # Current screen id
        menu_item    char(10),   # Current menu item running
        scr_funct    char(20),   # Current screen function being run
        sql_filter   char(512),  # Filter portion of SQL statement
        sql_order    char(100),  # Order portion of SQL statement
        input_num    smallint,   # Current input section within screen
        p_cur        smallint,   # Current input array element
        s_cur        smallint,   # Current screen array element
        scr_fld      char(40),   # Current screen field
        nxt_fld      char(40),   # Programmatic next screen field
        prev_data    char(80),   # Data before field entry
        this_data    char(80),   # Data after field entry
        data_changed smallint,   # Has the field data changed?
        hotkey       smallint,   # The hot key that has been pressed
        scratch      char(2047)  # Scratchpad for scribbling on and
                                 # communicating between functions
        # End library communication area
        ###############################################################

end globals
