########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/lib.4gs/custdtl.4gl  1.2  Delta: 2/9/91
########################################################################

globals "globals.4gl"

############################################################
function cust_detail(cust_code)
############################################################
# This function is passed a customer code 
# and, from that, displays information of selected customers.
# It returns nothing.
#
    define
        p_rcustr record like strcustr.*,
        cust_code like strcustr.cust_code

    select * into p_rcustr.* from strcustr
                where strcustr.cust_code = cust_code

    if sqlca.sqlcode != 0
    then
        let sqlca.sqlcode = 0
        return
    end if

    if table_exist("stocntrc")
    then
        open window custzwin at 2,3
            with form "../lib.4gs/oecust"
                attribute (border, blue)
    else
        open window custzwin at 2,3
            with form "../lib.4gs/arcust"
                attribute (border, blue)
    end if

    call menu_line()

    display by name 
        p_rcustr.cust_code, p_rcustr.bus_name, p_rcustr.contact,
        p_rcustr.phone, p_rcustr.address1, p_rcustr.address2,
        p_rcustr.city, p_rcustr.state, p_rcustr.zip, p_rcustr.country,
        p_rcustr.stmt_date, p_rcustr.taxable, p_rcustr.stmt_amount, 
        p_rcustr.trd_ds_code, p_rcustr.last_pay_date,
        p_rcustr.sls_psn_code, p_rcustr.acct_bal, p_rcustr.terms_code,
        p_rcustr.on_acct_amt, p_rcustr.act_grp,
        p_rcustr.credit_limit, p_rcustr.comm_code, p_rcustr.stmt_cycle,
        p_rcustr.ar_acct_dflt, p_rcustr.ar_department_dflt,
        p_rcustr.ar_type, p_rcustr.pay_method, p_rcustr.exp_date,
        p_rcustr.fin_chg, p_rcustr.card_no, p_rcustr.st_tx_code,
        p_rcustr.co_tx_code, p_rcustr.ci_tx_code

    menu " View Customer"

        command key ("!")
            call ring_bang()

        command key ("A") "Activity" " View Customer Activity"
            let scratch = 
                 " stxtranr.ref_code = \"", p_rcustr.cust_code, "\""
            if zoom("aractvz","(see scratch)")
            then end if

        command key ("O") "On-Account" " View Customer On Account Activity"
            let scratch = 
                 " stxtranr.ref_code = \"", p_rcustr.cust_code, "\""
            if zoom("aronacz","(see scratch)")
            then end if

        command key ("S") "Ship-To" " View Customer Ship-To Addresses"
            let scratch = 
                 " strshipr.cust_code = \"", p_rcustr.cust_code, "\""
            if zoom("arshipz","(see scratch)")
            then end if

        command key (e,x,q,interrupt) "Quit" " Return to Entry screen"
                if int_flag != 0
                then
                    let int_flag = 0
                end if
             exit menu
    end menu

    close window custzwin
    return

end function
# cust_detail
