########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/lib.4gs/aropenc.4gl  1.1  Delta: 1/4/91
########################################################################

database standard

#######################################################################
function aropenc(cust_code, doc_no)
# returns true if open invoice does not exist
#######################################################################
# This routine is passed a customer code and an invoice document number
# and, from that, checks to see if there is an open invoice with the
# document number specified for that customer.  If the invoice does not
# exist the function returns a true, otherwise a false.
#
    define
        cust_code like stropend.cust_code,
        doc_no like stropend.doc_no

    select rowid from stropend
      where
        stropend.cust_code = cust_code and
        stropend.doc_no = doc_no
 
    if sqlca.sqlcode != 0
    then 
        let sqlca.sqlcode = 0
        return true
    end if
    return false

end function
# aropenc()
