########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../ar.4gm/lib.4gs/rcontrol.4gl  1.6  Delta: 2/6/91
########################################################################

database standard

#######################################################################
function rcontrol()
# returns m_rcntrc record
#######################################################################
# This function reads an accounting control record, strcntrc, into
# m_rcntrc and returns m_rcntrc.  If the control record does not exist,
# for some reason, an error routine is called.
#
    define
        m_rcntrc record like strcntrc.*  # record like the rcontrol file

    # Trap fatal errors
    whenever error call error_handler

    select * into m_rcntrc.* from strcntrc
    if sqlca.sqlcode = notfound
    then
        call fg_error("lib_ar","rcontrol",1) # Cannot Read A/R Control Table
        let sqlca.sqlcode = 0
    end if

    return m_rcntrc.*
end function
# rcontrol()
