########################################################################
# Sccsid:  @(#)  .../ar.4gm/o_custdt.4gs/lowlevel.4gl  1.5  Delta: 2/8/91
########################################################################

globals "globals.4gl"

#######################################################################
function before_group(group_key)
#######################################################################
#
    define
        group_key   char(20)   # group identification

    if group_key = "first_row" then
        # insert "on first row" code here
        let scratch = "select src_desc from stxinfor where src_type = 'C'",
                      " and src_key = ?"
        prepare s_comm from scratch
        declare c_comm cursor for s_comm
        let scratch = "select src_desc from stxinfor where src_type = 'L'",
                      " and src_key = ?"
        prepare s_sales from scratch
        declare c_sales cursor for s_sales
        let scratch = "select src_desc from stxinfor where src_type = 'I'",
                      " and src_key = ?"
        prepare s_disc from scratch
        declare c_disc cursor for s_disc
        return
    end if

    if group_key = "cust_code" then
        # insert "before group of cust_code" code here
        return
    end if

    if group_key = "ship_to_code" then
        # insert "before group of ship_to_code" code here
        return
    end if

end function
# before_group()

#######################################################################
function on_every_row()
#######################################################################
#  this function prepares the report record from the cursor record
#  and other data.
#
    let rpt.co_name = curs.co_name
    let rpt.cust_code = curs.cust_code
    let rpt.bus_name = curs.bus_name
    let rpt.contact = curs.contact
    let rpt.phone = curs.phone
    let rpt.address1 = curs.address1
    let rpt.taxable = curs.taxable
    let rpt.fin_chg = curs.fin_chg
    let rpt.address2 = curs.address2
    let rpt.credit_limit = curs.credit_limit
    let rpt.acct_bal = curs.acct_bal
    let rpt.city = curs.city
    let rpt.state = curs.state
    let rpt.zip = curs.zip
    let rpt.country = curs.country
    let rpt.on_acct_amt = curs.on_acct_amt
    let rpt.ar_acct_dflt = curs.ar_acct_dflt
    let rpt.ar_department_dflt = curs.ar_department_dflt
    let rpt.terms_code = curs.terms_code
    let rpt.trd_ds_code = curs.trd_ds_code
    let rpt.sls_psn_code = curs.sls_psn_code
    let rpt.comm_code = curs.comm_code
    
    open c_comm using rpt.comm_code
    fetch c_comm into rpt.comm_desc
    open c_disc using rpt.trd_ds_code
    fetch c_disc into rpt.disc_desc
    open c_sales using rpt.sls_psn_code
    fetch c_sales into rpt.sls_psn_name
 
    let rpt.pay_method = curs.pay_method
    let rpt.exp_date = curs.exp_date
    let rpt.card_no = curs.card_no
    let rpt.card_holder = curs.card_holder
    let rpt.st_tx_code = curs.st_tx_code
    let rpt.co_tx_code = curs.co_tx_code
    let rpt.ci_tx_code = curs.ci_tx_code
    let rpt.stmt_amount = curs.stmt_amount
    let rpt.stmt_cycle = curs.stmt_cycle
    let rpt.act_grp = curs.act_grp
    let rpt.ar_type = curs.ar_type
    let rpt.stmt_date = curs.stmt_date
    let rpt.last_pay_date = curs.last_pay_date
    let rpt.terms_desc = curs.terms_desc
    let rpt.grp_desc = curs.grp_desc
    let rpt.ship_to_code = curs.ship_to_code
    let rpt.ship_bus_name = curs.ship_bus_name
    let rpt.ship_contact = curs.ship_contact
    let rpt.ship_address1 = curs.ship_address1
    let rpt.ship_phone = curs.ship_phone
    let rpt.ship_address2 = curs.ship_address2
    let rpt.ship_city = curs.ship_city
    let rpt.ship_state = curs.ship_state
    let rpt.ship_zip = curs.ship_zip
    let rpt.ship_country = curs.ship_country
    let rpt.ship_taxable = curs.ship_taxable
    let rpt.ship_trd_ds_code = curs.ship_trd_ds_code
    let rpt.ship_sls_psn_code = curs.ship_sls_psn_code
    let rpt.ship_comm_code = curs.ship_comm_code
    let rpt.ship_st_tx_code = curs.ship_st_tx_code
    let rpt.ship_co_tx_code = curs.ship_co_tx_code
    let rpt.ship_ci_tx_code = curs.ship_ci_tx_code

    open c_comm using rpt.ship_comm_code
    fetch c_comm into rpt.ship_comm_desc
    open c_sales using rpt.ship_sls_psn_code
    fetch c_sales into rpt.ship_sls_name
    open c_disc using rpt.ship_trd_ds_code
    fetch c_disc into rpt.ship_disc_desc

    return
end function
# on_every_row()

#######################################################################
function after_group(group_key)
#######################################################################
#
    define
        group_key   char(20)    # group identification

    if group_key = "cust_code" then
        # insert "after group of cust_code" code here
        return
    end if

    if group_key = "ship_to_code" then
        # insert "after group of ship_to_code" code here
        return
    end if

    if group_key = "last_row" then
        # insert "on last row" code here
        return
    end if

end function
# after_group()

